Skip to main content
PATCH
/
crm
/
objects
/
{name}
Update object
curl --request PATCH \
  --url https://www.dench.com/api/v1/crm/objects/{name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "icon": "<string>",
  "viewSettings": {},
  "savedViews": [
    {}
  ]
}
'
{
  "ok": true
}

Authorizations

Authorization
string
header
required

Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.

Path Parameters

name
string
required

Body

application/json
description
string
defaultView
enum<string>

Default view rendered for the object.

Available options:
table,
kanban,
calendar,
timeline,
gallery,
list
icon
string
viewSettings
object
savedViews
object[]

Response

Successful response

ok
boolean
required